Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574317 - Oops detector is too aggressive
Summary: Oops detector is too aggressive
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: general
Version: 25
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: 25.5
Assignee: Jacob McKenzie
QA Contact: Roman Joost
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 05:03 UTC by Roman Joost
Modified: 2018-07-23 06:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 06:40:57 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Beaker Project Gerrit 6110 0 None None None 2018-05-25 04:21:29 UTC

Description Roman Joost 2018-05-03 05:03:40 UTC
Description of problem:
The PANIC_REGEX changed in Bug 1538906 is now too aggressive (see Bug 1572880).

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a new job.
2. Use a test case name with the word Oops according to Bug 1572880
3. see it abort

Actual results:
Beaker aborts

Expected results:
Beaker should not abort when there is no Kernel Oops

Additional info:

Comment 1 Jacob McKenzie 2018-05-28 00:46:18 UTC
Before designing the new regex for kernel oops', I decided to find a good collection of oops to ensure that it was correct. I found ( oop.kernel.org ) which has a large ( ~500k ) collection of kernel oops messages which I was able to use. The following are some unique message styles that I identified: 

    Internal error: Oops - BUG: 0 [#2] PREEMPT ARM
    Oops: 0000 [#1] SMP
    Oops[#1]

Comment 4 Roman Joost 2018-07-23 06:40:57 UTC
Released with Beaker 25.5: https://beaker-project.org/docs/whats-new/release-25.html#beaker-25-5


Note You need to log in before you can comment on or make changes to this bug.